質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.47%

  • Ruby on Rails 4

    2456questions

    Ruby on Rails4はRubyによって書かれたオープンソースのウェブフレームワークです。 Ruby on Railsは「設定より規約」の原則に従っており、効率的に作業を行うために再開発を行う必要をなくしてくれます。

deviseとomniauthを使用したログイン機能の実装について

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 953

ShoTakigasaki

score 17

railsでアプリケーションを作成しております。
今回deviseとomniauthというgemを導入し、アドレスとパスワードによるログイン及びTwitterと連携したログイン機能を実装する予定です。
アプリケーションを作成し、gemfileには以下のように記述しました。

gem 'devise'
gem 'omniauth'
gem 'omniauth-twitter'

しかし、gemをインストールしようとbundle installを実行すると、
Undefined local variable or method `‘devise’' for Gemfile
とエラーが出てしまいます。

参考書に沿って進めたはずなので何がいけないのか全く分かりません。
gem ‘omniauth-twitter’,’~> 1.0.1
はインストールに成功しました。

宜しくお願いします。
        
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

私の環境ではエラーを再現させることができませんでした。
(ruby 2.1.4, rails 4.1.7 on Mac)
Gemfile の内容は次のようにしてから、bundle install しました。
source 'https://rubygems.org'

gem 'rails'

gem 'sqlite3'

gem 'devise'
gem 'omniauth'
gem 'omniauth-twitter'
rails やその他の gem の version にこだわりがなければ、すべてを最新 version にしてみては如何でしょう?

$ bundle update
とすれば、gem が最新のものになります。

参考として rails4 + devise + omniauth の利用例を紹介しておきます。

- deviseとomniauthで簡単認証 http://qiita.com/himinato/items/ecb5d45d6875696dbbed

https://github.com/alex-klepa/rails4-bootstrap-devise-cancan-omniauth

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/11/20 14:11

    この度はご回答頂きましてありがとうございます。
    katoy様の仰る通り、rubyとrails、gemを全て最新のものにアップデートすることで問題なくできました。

    vi Gemfileでgemfileの編集をするのではなく、
    railsで作成したアプリケーションファイルの中にあるgemfileに直接gemの記述を行っていたことも原因の1つかもしれません。
    その辺りについて詳しく分からないので何とも言えませんが...

    gemfileの記述のやり方やrubyなどのアップデートの仕方も学べたので感謝致します。
    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.47%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby on Rails 4

    2456questions

    Ruby on Rails4はRubyによって書かれたオープンソースのウェブフレームワークです。 Ruby on Railsは「設定より規約」の原則に従っており、効率的に作業を行うために再開発を行う必要をなくしてくれます。